Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("2044CAED-7D19-44AE-90E3-E10CBF9A3A20")]
   [Serializable]
   public class BidirectionalDictionary<TFirst, TSecond> : IEnumerable<KeyValuePair<TFirst, TSecond>> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalLookup.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("066A8A8B-784D-45CC-9063-F2FC8E9A4442")]
   [Serializable]
   public class BidirectionalLookup<TFirst, TSecond> {
@@ -189,5 +189,5 @@
     #endregion
 
-    [StorableClass]
+    [StorableClass("066A8A8B-784D-45CC-9063-F2FC8E9A4442")]
     private class StorableGrouping<TKey, TValue> : IGrouping<TKey, TValue> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableArray.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("48A5F6D3-2DDA-471E-8EA7-BD371ECAB857")]
   [Serializable]
   public class ObservableArray<T> : IObservableArray<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("BB3CF11B-5266-4163-8715-145393AB8E82")]
   [Serializable]
   public class ObservableCollection<T> : IObservableCollection<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableDictionary.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("F089E97A-FC5D-4CF7-908A-5548EE401EB6")]
   [Serializable]
   public class ObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("18559393-D6A0-4309-8DBD-258F322D7A31")]
   [Serializable]
   public abstract class ObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedList.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass]
+  [StorableClass("8F738253-AB19-4B2D-8F0F-41C8E1F79097")]
   public abstract class ObservableKeyedList<TKey, TItem> : ObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableList.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("B5C4776C-440F-4C27-84BA-39FDA5DF8107")]
   [Serializable]
   public class ObservableList<T> : IObservableList<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableSet.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("BDF3E3E2-AEBF-4507-8C6F-5681CA41FAED")]
   [Serializable]
   public class ObservableSet<T> : IObservableSet<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("ACE26737-9130-4CAD-90DE-6F0044253FFD")]
   [Serializable]
   public class ReadOnlyObservableArray<T> : IObservableArray<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("5C3B9621-71C1-40F0-8E1C-31B9AD039E2B")]
   [Serializable]
   public class ReadOnlyObservableCollection<T> : IObservableCollection<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("190E5220-C576-4C83-BFBC-1168227EDA38")]
   [Serializable]
   public class ReadOnlyObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("982065AC-FCD5-4FBE-A5B4-55C0EAB21C56")]
   [Serializable]
   public class ReadOnlyObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("289E45AC-5C1F-4694-8616-DDE039017697")]
   [Serializable]
   public class ReadOnlyObservableKeyedList<TKey, TItem> : ReadOnlyObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("99A21105-F307-496C-9C54-CEF79162C9DA")]
   [Serializable]
   public class ReadOnlyObservableList<T> : IObservableList<T> {
Index: branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("CFB59621-C48B-4D68-A81C-68572588B31A")]
   [Serializable]
   public class ReadOnlyObservableSet<T> : IObservableSet<T> {
